Summary: Leonine Editor with Outlines
Name: Leo
Version: 4.10
Release: 1%{?dist}
Source0: http://downloads.sourceforge.net/leo/%{name}-%{version}-final.zip
Source1: leo.xml
Source2: leo.desktop.in
# Applied in upstream bzr5229 and bzr5232
Patch0: leo-4.10-python3.patch
License: MIT
Group: Applications/Editors
BuildArch: noarch
BuildRequires: desktop-file-utils
BuildRequires: python3-devel
BuildRequires: /usr/bin/dos2unix
Requires: python3-PyQt4
Requires: tango-icon-theme
Url: http://webpages.charter.net/edreamleo/front.html

%description
Leo is an outline-oriented editor written in 100% pure Python.
Leo features a multi-window outlining editor, syntax colorizing,
powerful outline commands and many other things, including 
unlimited Undo/Redo and scriptability.
    

%prep
%setup -q -n %{name}-%{version}-final
%patch0 -p1
sed -i -e '/^#! *\//, 1d' leo/external/edb.py \
                          leo/core/bzr_version.py \
                          leo/external/codewise.py \
                          leo/core/runLeo.py \
                          leo/core/leoBridge.py
dos2unix leo/core/bzr_version.py

%build
python3 setup.py build --quiet

%install
python3 setup.py install --root=$RPM_BUILD_ROOT --skip-build

# use shared Tango icons
rm -fr $RPM_BUILD_ROOT%{python3_sitelib}/leo/Icons/Tango/
ln -s %{_datadir}/icons/Tango $RPM_BUILD_ROOT%{python3_sitelib}/leo/Icons/Tango

# mime type
install -D -m 0644 %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/mime/packages/leo.xml
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/mimetypes/
ln -s %{python3_sitelib}/leo/Icons/application-x-leo-outline.png \
      $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/mimetypes/application-x-leo-outline.png

# desktop entry file
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
sed -e 's:{{ICON}}:%{python3_sitelib}/leo/Icons/leoapp32.png:' %SOURCE2 > $RPM_BUILD_ROOT%{_datadir}/applications/leo.desktop
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/leo.desktop

%post
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime/ &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime/ &> /dev/null || :
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%doc LICENSE.TXT README.TXT
%{_bindir}/leo
%{python3_sitelib}/leo/
%exclude %{python3_sitelib}/leo/scripts/
%{python3_sitelib}/leo_editor*
%{_datadir}/icons/hicolor/*/mimetypes/application-x-leo-outline.png
%{_datadir}/mime/packages/leo.xml
%{_datadir}/applications/leo.desktop

%changelog
* Thu Jun 14 2012 Robin Lee <cheeselee@fedoraproject.org> - 4.10-1
- Initial package
